Subject: Re: [RFC+PATCH 1/1] Move SCM interoperability tools into scm/

From: Timo Hirvonen <[email-masked]>
Date: Mon, 10 Jul 2006 12:45:25 +0300

Ryan Anderson <[email-masked]> wrote:

> By "don't split the Makefile", do mean, "Don't use recursive make"?
> 
> I'm fine with that (and if you look at my patch, I "include
> scm/Makefile" to do just that), but if you mean "keep only a top-level
> Makefile", well, I think that continues the problem of "there is too
> much stuff going on here", but I can be persuaded otherwise.

Recursive make is a horrible hack.  Splitting Makefile to smaller chunks
which would be included in the top level Makefile is almost as bad.  You
can't cd to subdirectory and run make there and you have to prefix all
files with "subdir/".

If you really want to make Makefile shorter just move all the platform
specific stuff to a configure script.

-- 
http://onion.dynserv.net/~timo/